#game_area {
    width: 80%;
    min-height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    position: relative;
    margin: 5% 0;
}

.task_text {
    width: 100%;
}

.row {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.left_container {
    width: 30%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
}

#done {
    display: none;
}

/* Puzzle */
#part_container {
    height: 80%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;

    background-color: #A0CAD9;
    border: 2px solid #D5EEF2;
    border-radius: 20px;
    overflow-y: scroll;
}

#part_container>.puzzlepiece {
    margin: 2%;
    cursor: pointer;
}

.puzzlepiece {
    height: 150px;
    width: 160px;

    background-size: contain;
    background-origin: content-box;
    background-repeat: no-repeat;
    background-position: center;
}

#puzzle_area {
    width: 800px;
    height: 450px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    background-color: #FFFFFFBD;
    position: relative;
}

/* Responsive */
@media screen and (max-width:1440px) {
    .puzzlepiece {
        height: 120px;
        width: 128px;
    }

    #puzzle_area {
        width: 640px;
        height: 360px;
    }
}

@media screen and (max-width:1150px) {
    .puzzlepiece {
        height: 100px;
        width: 106px;
    }

    #puzzle_area {
        width: 533px;
        height: 300px;
    }
}

@media screen and (max-width:950px) {
    .puzzlepiece {
        height: 83px;
        width: 88px;
    }

    #puzzle_area {
        width: 444px;
        height: 250px;
    }
}